# petsc4py.PETSc.DMPlexTransform

class petsc4py.PETSc.DMPlexTransform

  Bases: `Object`

  Mesh transformations.

  Methods Summary

  `apply`(dm) | Apply a mesh transformation.
  `create`([comm]) | Create a mesh transformation.
  `destroy`() | Destroy a mesh transformation.
  `getType`() | Return the transformation type name.
  `setDM`(dm) | Set the `DM` for the transformation.
  `setFromOptions`() | Configure the transformation from the options database.
  `setType`(tr_type) | Set the transformation type.
  `setUp`() | Setup a mesh transformation.
  `view`([viewer]) | View the mesh transformation.

  Methods Documentation

  apply(dm)

    Apply a mesh transformation.

    Collective.

    Source code at petsc4py/PETSc/DMPlex.pyx:3475

    Parameters:

      dm (DM)

    Return type:

      DM

  create(comm=None)

    Create a mesh transformation.

    Collective.

    See also

    `DMPlexTransformCreate`

    Source code at petsc4py/PETSc/DMPlex.pyx:3486

    Parameters:

      comm (Comm | None)

    Return type:

      Self

  destroy()

    Destroy a mesh transformation.

    Collective.

    See also

    `DMPlexTransformDestroy`

    Source code at petsc4py/PETSc/DMPlex.pyx:3503

    Return type:

      Self

  getType()

    Return the transformation type name.

    Not collective.

    See also

    `DMPlexTransformGetType`

    Source code at petsc4py/PETSc/DMPlex.pyx:3516

    Return type:

      str

  setDM(dm)

    Set the `DM` for the transformation.

    Logically collective.

    Source code at petsc4py/PETSc/DMPlex.pyx:3554

    Parameters:

      dm (DM)

    Return type:

      None

  setFromOptions()

    Configure the transformation from the options database.

    Collective.

    See also

    Working with PETSc options, `DMPlexTransformSetFromOptions`

    Source code at petsc4py/PETSc/DMPlex.pyx:3563

    Return type:

      None

  setType(tr_type)

    Set the transformation type.

    Collective.

    See also

    `DMPlexTransformSetType`

    Source code at petsc4py/PETSc/DMPlex.pyx:3540

    Parameters:

      tr_type (DMPlexTransformType | str)

    Return type:

      None

  setUp()

    Setup a mesh transformation.

    Collective.

    Source code at petsc4py/PETSc/DMPlex.pyx:3530

    Return type:

      Self

  view(viewer=None)

    View the mesh transformation.

    Collective.

    Parameters:

      viewer (Viewer | None) – A `Viewer` instance or `None` for the default viewer.

    Return type:

      None

    See also

    `Viewer`, `DMPlexTransformView`

    Source code at petsc4py/PETSc/DMPlex.pyx:3575